# Generated from ebs_conductor-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ebs_conductor

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: A RightScale/Amazon EC2 EBS library
License: MIT
URL: http://github.com/rgeyer/ebs_conductor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
= ebs_conductor
The EBS Conductor is a library for managing Amazon Elastic Block Storage
volumes and snapshots.  It is designed to persist a specific set of data (a
"lineage") between different compute instances.
EBS Conductor can be used on it's own, but it's most powerful when executed on
an EC2 instance using Chef, and the ebs_conductor
cookbook[https://github.com/rgeyer/cookbooks/tree/master/cookbooks/ebs_conductor]
== Examples
=== Attach a new 1GB blan volume in the lineage "foobar" to a linux box at
/dev/sdb1
ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')
ebs_conductor.attach_from_lineage('i-abcd1234', 'foobar', 1, '/dev/sdb1')
=== Attach a specific snapshot to a 1GB volume in the lineage "foobar" to a
linux box at /devb/sdb1
ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')
ebs_conductor.attach_from_lineage('i-abcd1234', 'foobar', 1, '/dev/sdb1'
{:snapshot_id => 'snap-abcd1234'})
=== Snapshot the lineage "foobar", do not purge any old snapshots in the
lineage
ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')
ebs_conductor.snapshot_lineage('foobar')
=== Snapshot the lineage "foobar", and purge old snapshots so that only 7
remain
ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')
ebs_conductor.snapshot_lineage('foobar', {:history_to_keep => 7})
=== Snapshot the lineage "foobar" from the specified volume_id
This is useful if you're trying to start a lineage from a "naked" instance, or
if you are trying to create a new lineage from an existing one
ebs_conductor = Rgeyer::Gem::EbsConductor.new('...','...')
ebs_conductor.snapshot_lineage('foobar', {:history_to_keep => 7, :volume_id =>
'vol-abcd1234'})
== List of To Do Items
* Support for stripes in a lineage
== Copyright
Copyright (c) 2011 Ryan Geyer. See LICENSE.txt for
further details.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/NOTICE
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/ebs_conductor.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.4-1
- Initial package
